#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 assoc
version:              1.1
visibility:           public
id:                   assoc-1.1-5b6n1DhduSjDRC33U3zPiM
key:                  assoc-1.1-5b6n1DhduSjDRC33U3zPiM
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             swap and assoc: Symmetric and Semigroupy Bifunctors
description:
    Provides generalisations of
    @swap :: (a,b) -> (b,a)@ and
    @assoc :: ((a,b),c) -> (a,(b,c))@
    to
    @Bifunctor@s supporting similar operations (e.g. @Either@, @These@).

category:             Data
abi:                  47bd5b9a4d30472e741b23e05f53df1a
exposed:              True
exposed-modules:      Data.Bifunctor.Assoc Data.Bifunctor.Swap
import-dirs:          /usr/lib/ghc-9.2.8/site-local/assoc-1.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/assoc-1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-assoc
hs-libraries:         HSassoc-1.1-5b6n1DhduSjDRC33U3zPiM
depends:              base-4.16.4.0 tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP
haddock-interfaces:   /usr/share/doc/haskell-assoc/html/assoc.haddock
haddock-html:         /usr/share/doc/haskell-assoc/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

